## org.jfree.chart.plot
Class DatasetRenderingOrder

    java.lang.Object
      org.jfree.chart.plot.DatasetRenderingOrder

All Implemented Interfaces:
  java.io.Serializable

    public final class DatasetRenderingOrder

extends java.lang.Object
implements java.io.Serializable

Defines the tokens that indicate the rendering order for datasets in a `CategoryPlot` or an `XYPlot`.

See Also:
  Serialized Form

Field Summary
`static DatasetRenderingOrder` `FORWARD` Render datasets in the order 0, 1, 2, ..., N-1, where N is the number of datasets.
`static DatasetRenderingOrder` `REVERSE` Render datasets in the order N-1, N-2, ..., 2, 1, 0, where N is the number of datasets.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code for this instance.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FORWARD

    public static final DatasetRenderingOrder FORWARD

  Render datasets in the order 0, 1, 2, ..., N-1, where N is the number of datasets.

### REVERSE

    public static final DatasetRenderingOrder REVERSE

  Render datasets in the order N-1, N-2, ..., 2, 1, 0, where N is the number of datasets.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string (never `null`).

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.